chevron-thin-right chevron-thin-left brand cancel-circle search youtube-icon google-plus-icon linkedin-icon facebook-icon twitter-icon toolbox download check linkedin phone twitter-old google-plus facebook profile-male chat calendar profile-male
0 votes
Hi,

The Isolator assemblies are not referencing assemblies from .NET 4.
The only reason I can think of is that by mistake the project is a .NET 2.

Can you please send us the test project? (no need of source code)
Send it to: support at typemock.com
asked by ohad (35.5k points)

7 Answers

0 votes
I'm having the same issue. Everything works fine in 2010 when the project is targeted to 4.0 or 4.0 client profile. However when the project is targeted to 3.5 or 3.5 client profile,
1. There're no TypeMockxxx assemblies in Add Reference/.NET box.
2. If I add TypeMock.dll manually to the reference, I get the "requires a later version of the .NET Framework..." box.

I am using 6.0.3.0. And I test with an empty project.
answered by depend (140 points)
0 votes
Hi,

The issues described are bugs in the new version of VS 2010. At the moment, the simplest way is to ignore the message :) The message is shown because of a bug but it's a false message, you can use the DLLs with .NET 3.5.

By the way, this issue happens with multiple frameworks, so if you encounter it it's very likely to be a false message.

Regards,
Elisha,
Typemock Support
answered by Elisha (12k points)
0 votes
The issues described are bugs in the new version of VS 2010. At the moment, the simplest way is to ignore the message :) The message is shown because of a bug but it's a false message, you can use the DLLs with .NET 3.5.


Hi all,

Is this still an issue? I've installed the latest trial version of Isolator 6.0.4 on VS2010 Ultimate. If I want to create a test project I can only do it for .NET 4, not for 3.5 which is what I require. If I create the project anyway the references that are mentioned in the first steps are not there, I can only find Typemock.dll and Typemock.ArrangeActAssert.dll, but there is no Typemock.Isolator.dll (apart from Typemock.Isolator.VisualBasic.dll).

The examples in the help don't seem to be up to date, so any pointer in the right direction would be helpful.

Thanks in advance &

Best regards

G.
answered by gorgsenegger (680 points)
0 votes
Hi,

There is no Typemock.Isolator.dll :) The assemblies that you need are:
Typemock.ArrangeActAssert.dll and Typemock.dll
The assemblies can be found in the installation directory.

Hope it helps.
answered by ohad (35.5k points)
0 votes
There is no Typemock.Isolator.dll The assemblies that you need are:
Typemock.ArrangeActAssert.dll and Typemock.dll


Hello,

Thanks for your reply. I was looking for Typemock.Isolator.dll because the help / first steps referred to it. It seems that these instructions are outdated as they don't match the actual Typemock installation, so for evaluation purposes it would be great to have up to date information.

Best regards

G.
answered by gorgsenegger (680 points)
0 votes
Hi,
Thanks for letting us know. We will fix it.
Can you post the link to the page? I searched our help pages but couldn't find it.
answered by ohad (35.5k points)
0 votes
Hi

VS2010 could not target 3.5 in test projects until SP1, which I assume everybody hass gotten by now. To enable retargetting test projects to target .NET 3.5 MS provided two new test agent in SP1 (QTAgent32_35 for 32 bit runs and QTAgent_35 for 64 bit runs). I think some of the problems listed here are related to this.

Martin "Brumlemann" Moe
answered by brumlemann (2k points)
...